clear all
close all
A = 3.5;
p0 = 0.9;
x = linspace(0,1,101);
plot(x,A*x.*(1-x),'r',x,x,'r')
hold on
axis equal
p(1) = p0;
text(p(1)*0.8,-0.03,'p(1)')
p(2) = A*p(1)*(1-p(1));
plot([p(1),p(1)],[0,p(2)])
plot([p(1),p(2)],[p(2),p(2)])
for n = 2:100
  a = plot([p(n),p(n)],[0,p(n)],'--');
  p(n+1) = A*p(n)*(1-p(n));
  pause
  delete(a)
  plot([p(n),p(n)],[p(n),p(n+1)])
  pause
  plot([p(n),p(n+1)],[p(n+1),p(n+1)])
  pause
end
